package com.ruoyi.voluntary.service.impl;

import com.ruoyi.voluntary.domain.BBusiEcardPrice;
import com.ruoyi.voluntary.mapper.BBusiEcardPriceMapper;
import com.ruoyi.voluntary.service.IBBusiEcardPriceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 在线电子卡价格Service业务层处理
 * 
 * @author mingxue
 * @date 2022-08-06
 */
@Service
public class BBusiEcardPriceServiceImpl implements IBBusiEcardPriceService
{
    @Autowired
    private BBusiEcardPriceMapper bBusiEcardPriceMapper;

    /**
     * 查询在线电子卡价格
     * 
     * @param id 在线电子卡价格ID
     * @return 在线电子卡价格
     */
    @Override
    public BBusiEcardPrice selectBBusiEcardPriceById(Long id)
    {
        return bBusiEcardPriceMapper.selectBBusiEcardPriceById(id);
    }

    /**
     * 查询在线电子卡价格列表
     * 
     * @param bBusiEcardPrice 在线电子卡价格
     * @return 在线电子卡价格
     */
    @Override
    public List<BBusiEcardPrice> selectBBusiEcardPriceList(BBusiEcardPrice bBusiEcardPrice)
    {
        return bBusiEcardPriceMapper.selectBBusiEcardPriceList(bBusiEcardPrice);
    }

    /**
     * 新增在线电子卡价格
     * 
     * @param bBusiEcardPrice 在线电子卡价格
     * @return 结果
     */
    @Override
    public int insertBBusiEcardPrice(BBusiEcardPrice bBusiEcardPrice)
    {
        return bBusiEcardPriceMapper.insertBBusiEcardPrice(bBusiEcardPrice);
    }

    /**
     * 修改在线电子卡价格
     * 
     * @param bBusiEcardPrice 在线电子卡价格
     * @return 结果
     */
    @Override
    public int updateBBusiEcardPrice(BBusiEcardPrice bBusiEcardPrice)
    {
        return bBusiEcardPriceMapper.updateBBusiEcardPrice(bBusiEcardPrice);
    }

    /**
     * 批量删除在线电子卡价格
     * 
     * @param ids 需要删除的在线电子卡价格ID
     * @return 结果
     */
    @Override
    public int deleteBBusiEcardPriceByIds(Long[] ids)
    {
        return bBusiEcardPriceMapper.deleteBBusiEcardPriceByIds(ids);
    }

    /**
     * 删除在线电子卡价格信息
     * 
     * @param id 在线电子卡价格ID
     * @return 结果
     */
    @Override
    public int deleteBBusiEcardPriceById(Long id)
    {
        return bBusiEcardPriceMapper.deleteBBusiEcardPriceById(id);
    }
}
